<?
include('../functions.php');
$web = varstats(web_query);
$images = varstats(images_query);
$videos = varstats(videos_query);
$news = varstats(news_query);
$documents = varstats(documents_query);
$sites = varstats(sites_query);
$blog = varstats(blog_query);
$book = varstats(book_query);
$patent = varstats(patent_query);
$shopping = varstats(shopping_query);
$apps = varstats(apps_query);
$groups = varstats(groups_query);
$maps = varstats(maps_query);
header('Content-Type: application/x-javascript');
echo "$(function () {
    var chart;
    $(document).ready(function() {
    Highcharts.setOptions({
        colors: ['#32353A']
    });
        chart = new Highcharts.Chart({
            chart: {
                renderTo: 'container',
                type: 'column',
                margin: [ 50, 30, 80, 60]
            },
            title: {
                text: 'search query'
            },
            xAxis: {
                categories: [
					'nothing',
					'web',
                    'images',
                    'videos',
                    'news',
                    'documents',
                    'sites',
                    'blog',
                    'book',
                    'patent',
                    'shopping',
                    'applications',
                    'groups',
                    'maps'
                ],
                labels: {
                    rotation: -70,
                    align: 'right',
                    style: {
                        fontSize: '9px',
                        fontFamily: 'Tahoma, Verdana, sans-serif'
                    }
                }
            },
            yAxis: {
                min: 0,
                title: {
                    text: 'Query'
                }
            },
            legend: {
                enabled: false
            },
            tooltip: {
                formatter: function() {
                    return '<b>'+ this.x +'</b><br/>'+
                        'Queries: '+ Highcharts.numberFormat(this.y, 0);
                }
            },
                series: [{
                name: 'Query',
                data: [0, $web, $images, $videos, $news, $documents, $sites, $blog, $book,
                    $patent, $shopping, $apps, $groups, $maps],
                dataLabels: {
                    enabled: false,
                    rotation: 0,
                    color: '#F07E01',
                    align: 'right',
                    x: -3,
                    y: 20,
                    formatter: function() {
                        return this.y;
                    },
                    style: {
                        fontSize: '11px',
                        fontFamily: 'Verdana, sans-serif'
                    }
                }, 
                pointWidth: 20
            }]
        });
    });
    
});
";
?>