<?

 #####################################################
 ## created by Jaâfar Azizi                         ##
 ## @copyright   Copyright (c) 2014 AziziServices.  ##
 ## @license     http://search.aziziser.com/license ##
 ## @site        www.jaafar.me                      ##
 ## @facebook    www.fb.com/jaafar.azzizi           ##
 #####################################################

if(!isset($_COOKIE['adlogin'])){
header('location: index.php');exit;
}
include('config.php');
include('functions.php');
include_once ("include/usersOnline.class.php");
$visitors_online = new usersOnline();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<? include('include/head.php'); ?>
<body onload="set_se();">
<div class="wrap">
	<div id="header">
		<? include('include/top.php'); ?>
	</div>
	
	<div id="content">
    <? if(isset($_COOKIE['adlogin'])){ include('include/menu-left.php');} ?>
		<div id="main">			
			<div class="clear"></div>
			<div class="half_w half_left">
				<div class="h_title">Search query statistics</div>
					<script src="js/init-highcharts.php?init.js"></script>
					<div id="container" style="min-width: 300px; height: 180px; margin: 0 auto"></div>
					<script src="js\highcharts.js"></script>
			</div>
			<div class="half_w half_right">
				<div class="h_title">Site statistics</div>
				<div class="stats">
					<div class="search">
						<h3>Search</h3>
						<p class="count"><?=varstats(all_query);?></p>
						<p class="type">all query</p>
						<p class="count"><?=varstats(web_query);?></p>
						<p class="type">Web query</p>
						<p class="count"><?=varstats(images_query);?></p>
						<p class="type">Images query</p>
					</div>
					<div class="visits">
					    <h3>Visitors</h3>
						<p class="count"><?=varstats(visits);?></p>
						<p class="type">Unique Visits</p>
						<p class="count"><?=varstats(views);?></p>
						<p class="type">Page views</p>
						<p class="count"><?=$visitors_online->count_users();?></p>
						<p class="type">Online</p>
					</div>
				</div>
			</div>
			<div class="clear"></div>
			<div class="full_w">
			<div class="h_title">types search statistics</div>
				<table>
					<thead>
						<tr>
							<th scope="col">Type</th>
							<th scope="col">Query number</th>
						</tr>
					</thead>
						
					<tbody>
						<tr>
							<td class="align-center">Web</td>
							<td class="align-center"><?=varstats(web_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Images</td>
							<td class="align-center"><?=varstats(images_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Videos</td>
							<td class="align-center"><?=varstats(videos_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Documents</td>
							<td class="align-center"><?=varstats(documents_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Sites</td>
							<td class="align-center"><?=varstats(sites_query);?></td>
						</tr>
						<tr>
							<td class="align-center">News</td>
							<td class="align-center"><?=varstats(news_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Blog</td>
							<td class="align-center"><?=varstats(blog_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Book</td>
							<td class="align-center"><?=varstats(book_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Patent</td>
							<td class="align-center"><?=varstats(patent_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Shopping</td>
							<td class="align-center"><?=varstats(shopping_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Applications</td>
							<td class="align-center"><?=varstats(apps_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Groups</td>
							<td class="align-center"><?=varstats(groups_query);?></td>
						</tr>
						<tr>
							<td class="align-center">Maps</td>
							<td class="align-center"><?=varstats(maps_query);?></td>
						</tr>
						
					</tbody>
				</table>
			</div>
		</div>
		<div class="clear"></div>
	</div>
	<? include('include/footer.php'); ?>
</div>

</body>
</html>
